Roles
AGH Roles HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
GET
/api/rolesQuery Parameters
workspace?string
Workspace id, name, or path used to resolve effective role configuration
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/roles"{ "roles": [ { "agent": "string", "diagnostics": [ { "agent": "string", "code": "string", "message": "string" } ], "enabled": true, "fallback_chain": [ { "model": "string", "provider": "string", "reasoning_effort": "string" } ], "model": "string", "provenance": { "property1": "string", "property2": "string" }, "provider": "string", "reasoning_effort": "string", "resolution_mode": "builtin", "role": "string", "timeout": "string" } ]}GET
/api/roles/{role}Path Parameters
role*string
Background role name
Query Parameters
workspace?string
Workspace id, name, or path used to resolve effective role configuration
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/roles/string"{ "role": { "agent": "string", "diagnostics": [ { "agent": "string", "code": "string", "message": "string" } ], "enabled": true, "fallback_chain": [ { "model": "string", "provider": "string", "reasoning_effort": "string" } ], "model": "string", "provenance": { "property1": "string", "property2": "string" }, "provider": "string", "reasoning_effort": "string", "resolution_mode": "builtin", "role": "string", "timeout": "string" }}